# Type alias DbStackItem

DbStackItem: {
action: "put" | "update" | "rm" | "batch-put";
batchSize?: number;
data: Partial<DbEntity>[];
onProgress?: ((count) => void);
tableName: string;
}

#### Type declaration

- ##### action: "put" | "update" | "rm" | "batch-put"

- ##### `Optional` batchSize?: number

- ##### data: Partial<DbEntity>[]

- ##### `Optional` onProgress?: ((count) => void)

  - - (count): void

    - #### Parameters

      - count: number

      #### Returns void

- ##### tableName: string

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/workers/db/types.ts:3